<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.FeedbackMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="feedbackResultMap" type="org.springblade.estate.entity.Feedback">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="open_id" property="openId"/>
        <result column="phone" property="phone"/>
        <result column="content" property="content"/>
        <result column="name" property="name"/>
        <result column="images" property="images"/>
        <result column="feedback_type" property="feedbackType"/>
        <result column="avatar" property="avatar"/>
        <result column="agency_id" property="agencyId"/>
        <result column="tenant_id" property="tenantId"/>
        <result column="is_handle" property="isHandle"/>
        <result column="handle_date" property="handleDate"/>
        <result column="handle_opinion" property="handleOpinion"/>
    </resultMap>


    <select id="selectFeedbackPage" resultMap="feedbackResultMap">
        select * from estate_feedback where is_deleted = 0
    </select>

</mapper>
